# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			dvdinfo
Version:		0.9.2
Release:		2.8
Summary:		DVDx InfoTool shows the DVD structure of a DVD-Video disc
Source:			%{name}-src_0-9-2.tar.gz
Patch0:			%{name}-gcc44.patch
Patch1:			%{name}-qt4.patch
URL:			http://www.labdv.com/dvdx/download.php
Group:			Productivity/Multimedia/Other
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
License: GPL-2.0
BuildRequires:	freetype2-devel
BuildRequires:	gcc-c++
BuildRequires:	qt-devel
BuildRequires:	libdvdcss-devel
BuildRequires:	libdvdread3-devel
BuildRequires:	update-desktop-files

%description
DVDx InfoTool shows the DVD structure (such as VTS, PGC, and menus)
and the video/audio/subtitle format of a DVD-Video disc (protected
or not). The information can be displayed in two views: a complete
dump or 'text' which filters out less useful details.



%prep
%setup -q -n %{name}-src_0-9-2
%patch0 -p1
%if %suse_version > 1110
%patch1 -p1
%endif

%__chmod 644 InfoTool/COPYING InfoTool/README

%build
pushd InfoTool/linux
	qmake dvdinfo-linux.pro
	%__make %{?jobs:-j%{jobs}}
popd

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 InfoTool/linux/%{name} \
	%{buildroot}%{_bindir}

# icon
#%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
#%__install -m 644 %{name}.png \
#	%{buildroot}%{_datadir}/pixmaps

# menu
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
#Encoding=UTF-8
Type=Application
Exec=%{name}
#Icon=%{name}
Terminal=false
Name=DVDx InfoTool
GenericName=DVDx InfoTool
Comment=DVDx InfoTool shows the DVD structure of a DVD-Video disc
#Categories=AudioVideo;AudioVideoEditing;
EOF
%suse_update_desktop_file %{name} AudioVideo AudioVideoEditing

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc InfoTool/COPYING InfoTool/README
%{_bindir}/%{name}
#%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Dec 23 2008 Toni Graffy <toni@links2linux.de> - 0.9.2-0.pm.2
- rebuild with new libdvdread(-devel)
* Tue Jan 08 2008 Toni Graffy <toni@links2linux.de> - 0.9.2-0.pm.1
- update to 0.9.2
* Sun Dec 23 2007 Toni Graffy <toni@links2linux.de> - 0.9.1-0.pm.1
- initial package 0.9.1
